Skip to content

Retrieve monitors for jobs which have not yet completed in the authenticated Vault. An uncompleted job is any job which has not finished running, such as scheduled, queued, or actively running jobs. Completed jobs do not appear here.

GET/api/{version}/services/jobs/monitors
NameDescription
Acceptapplication/json (default) or application/xml
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v25.2/services/jobs/monitors
{ "responseStatus": "SUCCESS", "responseMessage": "OK", "url": "/api/v25.2/services/jobs/monitors?limit=50&offset=0", "responseDetails": { "total": 3, "limit": 50, "offset": 0 }, "jobs": [ { "job_id": 72505, "title": "User Account Activation", "status": "SCHEDULED", "created_by": 1, "created_date": "2021-02-03T04:01:29.000Z", "modified_by": 1, "modified_date": "2021-02-03T04:01:29.000Z", "run_start_date": "2021-02-04T04:00:00.000Z" }, { "job_id": 72518, "title": "Task Reminder Notification", "status": "SCHEDULED", "created_by": 1, "created_date": "2021-02-03T09:01:53.000Z", "modified_by": 1, "modified_date": "2021-02-03T09:01:53.000Z", "run_start_date": "2021-02-04T09:00:00.000Z" } ] }